using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication20
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            char[] c = new char[2];
            int k = 0;
            foreach (char c1 in s)
            {
                c[k] = c1;
                k++;
            }
            string[] r= Console.ReadLine().Split(' ');
            long a1 = int.Parse(r[0]);
            long a2 = int.Parse(r[1]);
            string resenje="";
            if (Math.Abs(a1 - a2) <= 1)
            {
                char prvi, drugi;
                if (a1 > a2)
                {
                    prvi = c[0];
                    drugi = c[1];
                }
                else
                {
                    prvi = c[1];
                    drugi = c[0];
                }

                for (long i = 0; i < a1 + a2; i++)
                {
                    if (i % 2 == 0) resenje += prvi;
                    else resenje += drugi;

                }

            }
            else resenje="nemoguce";
            Console.WriteLine(resenje);
            //Console.ReadLine();

        }
    }
}